import random
import os
from time import strftime
from datetime import datetime

import Team

meno_list = ["Marek", "Martin", "Sebastian", "Peter",
             "Esteban", "Marcus", "Fernando", "Lewis",
             "Aaron", "Adam", "Adler", "Alan",
             "Brian", "Brendon", "Bruce", "Carrick",
             "Calvert", "Daniel", "Dixon", "Derek",
             "Dexter", "Edwin", "Elias", "Elton",
             "Frederick", "Felix", "Ezra", "Frank",
             "Gerard", "Grent", "Gale", "Hadley",
             "Ivan", "Isaac", "Ian", "Homer",
             "Jack", "Justin", "Joshua", "Jeffrey",
             "Kane", "Kelvin", "Keegan", "Lester",
             "Malcon", "Malvin", "Matthew", "Max",
             "Scott", "Simon", "Sean", "Samuel",
             "Zebediah", "Wayne", "Ward", "Wallace",
             "Victor", "Vincent", "Paul", "Quinby",
             "Ralph", "Ramsey", "Roland", "Rory"]
priezvisko_list = ["Smith", "Jones", "Williams", "Taylor",
                   "Davies", "Brown", "Wilson", "Evans",
                   "Thomas", "Johnson", "Roberts", "Walker",
                   "Wright", "Robinson", "Thompson", "White",
                   "Hughes", "Edwards", "Green", "Lewis",
                   "Wood", "Harris", "Martin", "Jackson",
                   "Clarke", "May", "Black", "Pink",
                   "Freedom", "Erickson", "Simpson", "Hammond"]

def generator(outline):
    text_subor = open("data/jazdci.txt", "w")
    for level in range(1,21):
        for i in range(20):
            jazdec = Team.Jazdec(None)
            jazdec.meno = random.choice(meno_list) + " "+ random.choice(priezvisko_list)
            jazdec.rychlost = random.randint(40 + int(level * 2.5), 100 - (31 - int(level * 1.5)))
            jazdec.preciznost = random.randint(40 + int(level * 1.5), 100 - (31 - int(level * 1.5)))
            jazdec.agresivita = random.randint(0,100)
            jazdec.manazment_pneumatik = random.randint(0,100)
            
            jazdec.level = level
            jazdec.body = 0
            jazdec.followeri = random.randint(1000,10000) * jazdec.level

            jazdec.hodnota = (jazdec.rychlost * jazdec.preciznost * jazdec.manazment_pneumatik) * jazdec.level * 10

            jazdec.obr_c["telo"] = random.randint(1,4)
            jazdec.obr_c["oblecenie"] = random.randint(1,14)
            jazdec.obr_c["oci"] = random.randint(1,14)
            jazdec.obr_c["usta"] = random.randint(1,14)
            jazdec.obr_c["vlasy"] = random.randint(1,14)

            text_subor.write("{}\n".format(jazdec.ulozit()))
    if(outline):
        print("Done!")
    text_subor.close()
   
    
